//
//  ViewController.m
//  MTOneObjCSample
//
//  Created by John McKnight on 10/22/14.
//  Copyright (c) 2014 Media Tuners LLC. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    self.sharedSDK = [MTOneSDK sharedInstance];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    
    self.sharedSDK.apiKey = @"YOUR API KEY";
    
    [self.label setText:@"Logging In"];
    
    [self.sharedSDK authLogin:@"anonymous" password:@"" completion:^(ServerResponse * response) {
        if (response.success) {
            [self.label setText:@"Scanning"];
        
            [[NSNotificationCenter defaultCenter] addObserver:self
                                                     selector:@selector(beaconUpdated:)
                                                         name:@"beaconUpdated"
                                                       object:nil];

            [self.sharedSDK callProximityListAndStartBluetooth];
        } else {
            [self.label setText:@"Could not login. Check your API key."];
        }
    }];
}



-(void)beaconUpdated:(NSNotification *)notification {
    // Comment out this code to stop updating the status label
    NSString * proximity = [self.sharedSDK getBeaconProximityAsString:self.sharedSDK.nearestBeacon];
    
    NSString * message = [NSString stringWithFormat:@"Major: %@ Minor: %@ RSSI:%ld Proximity: %@ Accuracy: %f", self.sharedSDK.nearestBeacon.major, self.sharedSDK.nearestBeacon.minor, (long)self.sharedSDK.nearestBeacon.rssi, proximity, self.sharedSDK.nearestBeacon.accuracy];
        
    [self.label setText:message];
}



@end
